<?php

/*** Child Theme Function  ***/

function journo_edge_child_theme_enqueue_scripts() {
	
	$parent_style = 'journo-edge-style-handle-default-style';
	
	wp_enqueue_style('journo-edge-child-style', get_stylesheet_directory_uri() . '/style.css', array($parent_style));
}

add_action( 'wp_enqueue_scripts', 'journo_edge_child_theme_enqueue_scripts' );



/* Allow SVG uploads */
function camv_mime_types($mimes) {
  $mimes['svg'] = 'image/svg+xml';
  return $mimes;
}
add_filter('upload_mimes', 'camv_mime_types');


/* Register a new widgetized area for our new top menu */
if ( function_exists('register_sidebar') )
  register_sidebar(array(
    'name' => 'Camversity Top Menu',
    'before_widget' => '<div class = "camv-top-menu-inner">',
    'after_widget' => '</div>',
    'before_title' => '<h3>',
    'after_title' => '</h3>',
  )
);


/* Add an additional widgetized area to the header */
function camv_add_header_nav() {
	echo '<div class="camv-top-menu-outer">';
		if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar("Camversity Top Menu") ) : endif;
	echo '</div>';
}
add_action('journo_edge_action_after_site_logo','camv_add_header_nav');


/* Register a new widgetized area for our new mobile menu social widget area */
if ( function_exists('register_sidebar') )
  register_sidebar(array(
    'name' => 'Camversity Mobile Menu Social',
    'before_widget' => '<div class = "camv-top-menu-inner">',
    'after_widget' => '</div>',
    'before_title' => '<h3>',
    'after_title' => '</h3>',
  )
);

/* Add an additional widget area to the mobile nav menu */
function camv_add_mobile_nav_widget() {
	echo '<div class="camv-mobile-menu-social-outer">';
		if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar("Camversity Mobile Menu Social") ) : endif;
	echo '</div>';
}
add_action('journo_edge_action_after_mobile_navigation','camv_add_mobile_nav_widget');
